---
title: "Retrieve PCI Change Order SC Vendor Details By Code"
slug: "retrieve-pci-change-order-sc-vendor-details-by-code"
updated: 2026-05-26T12:53:14Z
published: 2026-05-26T12:53:48Z
canonical: "developers.cmicglobal.com/retrieve-pci-change-order-sc-vendor-details-by-code"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve PCI Change Order SC Vendor Details By Code

Get/cm-rest-api/rest/1/cmvendordetail

## Query Standards

### Finder

Following row finders are available for data filtering and optimizing request performance.

- Cm Vendor Detail Finder 2
- By UUID

#### Cm Vendor Detail Finder 2

Recommended finder parameters. Refer to Query Parameters for example.

| Parameter | Description | Sample |
| --- | --- | --- |
| CompCode | Company Code | 002 |
| ChgCode | Change Code | EXT.002 |
| VenCode | Vendor Code | TBD |
| JobCode | Job Code | 20001 |

#### By UUID

This is an optional finder for querying a specific PCI Change Order Vendor Detail by row ID.

| Parameter | Description | Sample |
| --- | --- | --- |
| /VUUID | The VUuid attribute is the Unique row ID | /cm-rest-api/rest/1/cmvendordetail/DBED0CBA1E6046C2E05316821FAC0E25 |

SecurityHTTPType basic

Basic authentication

Query parametersfinderstringExampleCmVendorDetailFinder2; CompCode=002, ChgCode=EXT.002, VenCode=TBD, JobCode=20001
limitintegerExample500
offsetintegerExample0
totalResultsbooleanExampletrue
orderBystringExampleCmdvdVUuid:desc

Responses200

OK

HeadersContent-TypestringExampleapplication/vnd.oracle.adf.resourcecollection+json
<select class='api-response-data' aria-label='Media type'><option value='6ea35de1-93cb-4eac-bcb6-4b2d02e875d4'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='448cb6bd-fc48-436a-b4ae-5706809c735f'>example-0</option>
<option value='9778bba9-ef85-4d6c-92d8-dd2dc5e67736'>example-1</option>
</select>example-0

Successful Response - Finder - CmVendorDetailFinder2

```json
{
  "items": [
    {
      "CmdvdCompCode": "002",
      "CmdvdJobCode": "20001",
      "CmdvdChgCode": "EXT.002",
      "CmdvdVenCode": "TBD",
      "CmdvdBpAbbrevCode": "TBD",
      "CmdvdVenName": "TBD",
      "CmdvdContactCode": null,
      "CmdvdContactName": null,
      "CmdvdQuotedQty": null,
      "CmdvdQuotedRate": null,
      "CmdvdQuotedAmt": null,
      "CmdvdRfqSentDate": null,
      "CmdvdRfqDueDate": null,
      "CmdvdRfqReceivedDate": null,
      "CmdvdRfqComments": null,
      "CmdvdPrintFlag": null,
      "CmdvdSrcCmdOraseq": 63251720,
      "CmdvdOrigQuoteAmt": null,
      "CmdvdPartnTypeCode": "P",
      "CmdvdCmmastOraseq": 63251719,
      "CmdvdPostingFlag": "UNPOSTED",
      "CmdvdIuCreateDate": "2017-01-04T16:13:35Z",
      "CmdvdIuUpdateDate": null,
      "CmdvdVUuid": "DBED0CBA1E6046C2E05316821FAC0E25",
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/cm-rest-api/rest/1/cmvendordetail/DBED0CBA1E6046C2E05316821FAC0E25",
          "name": "cmvendordetail",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/cm-rest-api/rest/1/cmvendordetail/DBED0CBA1E6046C2E05316821FAC0E25",
          "name": "cmvendordetail",
          "kind": "item"
        }
      ]
    }
  ],
  "count": 1,
  "hasMore": false,
  "limit": 25,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/cm-rest-api/rest/1/cmvendordetail",
      "name": "cmvendordetail",
      "kind": "collection"
    }
  ]
}
```

example-1

Successful Response - Finder - CmVendorDetailFinder1

```json
{
  "items": [
    {
      "CmdvdCompCode": "002",
      "CmdvdJobCode": "20001",
      "CmdvdChgCode": "EXT.002",
      "CmdvdVenCode": "TBD",
      "CmdvdBpAbbrevCode": "TBD",
      "CmdvdVenName": "TBD",
      "CmdvdContactCode": null,
      "CmdvdContactName": null,
      "CmdvdQuotedQty": null,
      "CmdvdQuotedRate": null,
      "CmdvdQuotedAmt": null,
      "CmdvdRfqSentDate": null,
      "CmdvdRfqDueDate": null,
      "CmdvdRfqReceivedDate": null,
      "CmdvdRfqComments": null,
      "CmdvdPrintFlag": null,
      "CmdvdSrcCmdOraseq": 63251720,
      "CmdvdOrigQuoteAmt": null,
      "CmdvdPartnTypeCode": "P",
      "CmdvdCmmastOraseq": 63251719,
      "CmdvdPostingFlag": "UNPOSTED",
      "CmdvdIuCreateDate": "2017-01-04T16:13:35Z",
      "CmdvdIuUpdateDate": null,
      "CmdvdVUuid": "DBED0CBA1E6046C2E05316821FAC0E25",
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/cm-rest-api/rest/1/cmvendordetail/DBED0CBA1E6046C2E05316821FAC0E25",
          "name": "cmvendordetail",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/cm-rest-api/rest/1/cmvendordetail/DBED0CBA1E6046C2E05316821FAC0E25",
          "name": "cmvendordetail",
          "kind": "item"
        }
      ]
    }
  ],
  "count": 1,
  "hasMore": false,
  "limit": 25,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/cm-rest-api/rest/1/cmvendordetail",
      "name": "cmvendordetail",
      "kind": "collection"
    }
  ]
}
```

object
